Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2177 - seeq8005 driver misdetection
Summary: seeq8005 driver misdetection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 12:00 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-18 16:42:23 UTC


Attachments (Terms of Use)

Description Need Real Name 1999-04-14 12:00:51 UTC
Since the seeq8005 driver is not modular, its inclusion in
the kernel causes problems when a sound card is on port
0x320, and possibly other ports.

The driver does not have enough detection logic to determine
that it is not talking to its intended device and tries to
treat the sound card as an ethernet card, thus making the
default kernels unusable.

I don't know if this happens with all sound cards on port
0x320 or just a Gravis Ultrasound Pnp.

Comment 1 Alan Cox 1999-06-12 13:01:59 UTC
I've added modular support to this driver. I don't have an 8005 so if
you can test it when its done then we can make sure the next RH has
it modular

Alan

Comment 2 Cristian Gafton 1999-06-18 16:42:59 UTC
In the meantime, in the shipping kernel the driver was disabled.
Future kernels will include it as a module.


Note You need to log in before you can comment on or make changes to this bug.